Page MenuHomePhabricator

[VP] Add widening for VP_STRIDED_LOAD and VP_STRIDED_STORE
ClosedPublic

Authored by loralb on Mar 7 2022, 7:08 AM.

Diff Detail

Event Timeline

loralb created this revision.Mar 7 2022, 7:08 AM
loralb requested review of this revision.Mar 7 2022, 7:08 AM
This revision is now accepted and ready to land.Mar 7 2022, 10:31 AM
frasercrmck added inline comments.Mar 8 2022, 1:43 AM
llvm/lib/CodeGen/SelectionDAG/LegalizeVectorTypes.cpp
4935

This may well be copy/pasted from elsewhere (and possibly something I introduced...), but this assert looks fishy to me. Aren't we wanting to check that the widened Mask is the same length as the widened result type, like WidenVT below? This assert looks trivially true as it stands.

loralb updated this revision to Diff 413877.Mar 8 2022, 10:55 AM

Changelog:

  • Apply suggestions in the comments
loralb marked an inline comment as done.Mar 8 2022, 10:56 AM
loralb added inline comments.
llvm/lib/CodeGen/SelectionDAG/LegalizeVectorTypes.cpp
4935

Yep, correct; this should do what it is supposed to. Thanks!

loralb marked an inline comment as done.Mar 9 2022, 1:47 AM
frasercrmck accepted this revision.Mar 15 2022, 4:03 AM

LGTM too

loralb updated this revision to Diff 415759.Mar 16 2022, 3:24 AM

Changelog:

  • Use poison instead of undef in tests
loralb updated this revision to Diff 420468.Apr 5 2022, 5:57 AM

Changelog:

  • Update tests

Please rebase for commit

loralb updated this revision to Diff 449615.Aug 3 2022, 2:50 AM

Changelog:

  • Rebase
This revision was landed with ongoing or failed builds.Aug 4 2022, 7:14 AM
This revision was automatically updated to reflect the committed changes.